Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2087600 (CVE-2022-1733) - CVE-2022-1733 vim: Heap-based Buffer Overflow in cindent.c
Summary: CVE-2022-1733 vim: Heap-based Buffer Overflow in cindent.c
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2022-1733
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2087601 2087602
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-05-18 05:34 UTC by Sandipan Roy
Modified: 2022-06-09 13:56 UTC (History)
6 users (show)

Fixed In Version: vim 8.2.4975
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in vim. The vulnerability occurs due to Illegal memory access and leads to a heap buffer overflow vulnerability. This flaw allows an attacker to input a specially crafted file, leading to a crash or code execution.
Clone Of:
Environment:
Last Closed: 2022-06-07 07:19:39 UTC
Embargoed:


Attachments (Terms of Use)

Description Sandipan Roy 2022-05-18 05:34:27 UTC
Heap-based Buffer Overflow in GitHub repository vim/vim prior to 8.2.

https://huntr.dev/bounties/6ff03b27-472b-4bef-a2bf-410fae65ff0a
https://github.com/vim/vim/commit/60ae0e71490c97f2871a6344aca61cacf220f813

Comment 1 Sandipan Roy 2022-05-18 05:37:17 UTC
Created vim tracking bugs for this issue:

Affects: fedora-34 [bug 2087602]
Affects: fedora-35 [bug 2087601]

Comment 2 Product Security DevOps Team 2022-06-07 07:19:37 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-1733


Note You need to log in before you can comment on or make changes to this bug.